<?
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

if ($_GET['msg'] == 19) {
    echo '<div style="text-align:center; color:#800000; font-size:12px;">На балансе недостаточно средств для совершения оплаты</div>'; 
}

$sql = mysql_query("SELECT * FROM seo_basket WHERE fromid='$_SESSION[iduser]'");
if (mysql_num_rows($sql) == 0) {
    echo '<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Корзина пользователя</h3>
    <div style="text-align:center"><img src="theme/images/empty_basket.png" width="128" height="128" /><br /><font color="#800000">Нет товаров для оплаты.</font></div>';
} 
 else 
{
?>
    <script type="text/javascript">
    $('.btn-delete').tipTip();
    function del(bid) {
        $.post('ajax.php?func=basketdel',{
        id : bid
        }, function(data){
            if (data == 1){
                FLAX.Html.thread['flax'].repeat();
            }
        });
        return false;
    }
    </script>
    <h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Корзина пользователя</h3>
    <table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
        <thead  style="background: #ebebeb;">
            <th align='center' width='60%' nowrap='nowrap' style="padding: 5px;">Наименование товара</th>
            <th align='center' nowrap='nowrap'>Цена (руб)</th>
            <th align='center' nowrap='nowrap'>Истекает через</th>
            <th width="20"></th>
        </thead>
        <tbody>
        <? 
        while ($row = mysql_fetch_assoc($sql)) {
            $timer = $row['time'] + 86400;
            $t = intval($timer-time());
            $h = intval($t/3600);
            $m = intval($t / 60)%60;
            $s = intval($t % 60);
            if ($row['type'] == 4) $t = 3600 - time() + $row['time'];
		    if($row['type']==1) {$tipo="Динамическая ссылка";}
    	    if($row['type']==2) {$tipo="Контекстная ссылка";}
    	    if($row['type']==3) {$tipo="Баннер 468х60";}
    	    if($row['type']==9) {$tipo="Баннер 100х100";}
    	    if($row['type']==10) {$tipo="Баннер 200х300";}
            if($row['type']==6) {$tipo="Оплачиваемое письмо";}
    	    if($row['type']==5) {$tipo="Оплачиваемое задание";}
			if($row['type']==11) {$tipo="Рекламная цепочка";}
    	    $allprice = $allprice + $row['price'];
            ?>
            <script type="text/javascript">
            var limit<?=$row['id']?> = <?=$t?>; // в секундах
            var settime<?=$row['id']?>;
            clearTimeout(settime<?=$row['id']?>);
            function processTimer<?=$row['id']?>(){
                if (limit<?=$row['id']?> > 0) {
                    settime<?=$row['id']?> = setTimeout("processTimer<?=$row['id']?>()",1000);
                    limit<?=$row['id']?>--;
                } else {
                    FLAX.Html.thread['flax'].repeat();
                }
                var limit_hou = Math.floor(limit<?=$row['id']?> / 3600); // час
                if (limit_hou < 10) limit_hou = '0'+limit_hou;
                var limit_div = Math.floor(limit<?=$row['id']?> / 60)%60; // минуты
                if (limit_div < 10) limit_div = '0'+limit_div;
                var limit_mod = Math.floor(limit<?=$row['id']?> % 60); // секунды 
                if (limit_mod < 10) limit_mod = '0'+limit_mod;
                // вывод времени
                el_timer = document.getElementById("timer<?=$row['id']?>");
                if (el_timer) el_timer.innerHTML = limit_hou+':'+limit_div+":"+limit_mod;
            }
            processTimer<?=$row['id']?>();
            </script>
            <tr>
                <td class='lt' align='left'>
				   <?
				   if($row['type']==1 or $row['type']==6 or $row['type']==9 or $row['type']==10 or $row['type']==5 or $row['type']==11 or $row['type']==2 or $row['type']==3) { echo "Бюджет площадки № <font color='#800000'>$row[ident]</font>  (<font color='#8D950B'>$tipo</font>)"; }
				   elseif($row['type']==4){ echo "Покупка реферала $row[ident]"; } 
				   elseif($row['type']==7){ echo "Пополнение рекламного счета"; } 
				   elseif($row['type']==8){ echo "<font color='#CC0000;'>Оплата штрафа за нарушение правил проекта</font>"; } 
				   ?>
				</td>
    		    <td class='lt' align='right'><?=$row['price']; ?></td>
    		    <td class='lt' align='center'><span id="timer<?=$row['id']?>"></span></td>
    		    <td align="center">
				    <? if($row['type']!=8){ ?>
				    <a class='btn-delete' href='#' onclick="del(<?=$row['id']?>)" title='Исключить товар из корзины'></a>
					<? } ?>
    		    </td>
            </tr>
            <?
        }
	    $rowxf = mysql_fetch_array( mysql_query( "SELECT(SELECT count(*) FROM seo_basket WHERE fromid='$_SESSION[iduser]' AND type='7') balsssd" ) );
	    if($rowxf['balsssd'] > 0) { 
	        $paybalanse="
			<td width='33%' align='center'><a href='/pay/from=webmoney' class='webmoney' style='margin-left: 20px;'><span>".$allprice." ".$sitevalname."</span></a></td>
			<td width='33%' align='center'><a href='/pay/from=payeer' class='payeer' style=''><span>".$allprice." ".$sitevalname."</span></a></td>";
			$paybalanse_adv="";
	    }
	     else 
	    { 
	        $paybalanse="
			<td width='33%' align='center'><a href='/pay/from=webmoney' class='webmoney' style='margin-left: 20px;'><span>".$allprice." ".$sitevalname."</span></a></td>
			<td width='33%' align='center'><a href='/pay/from=payeer' class='payeer' style=''><span>".$allprice." ".$sitevalname."</span></a></td>";
			$paybalanse_adv="<td width='33%' align='left'><a style='margin-left: 31px; margin-top: 17px; ' href='/pay/from=balance' class='webid'><span>".$allprice." ".$sitevalname."</span></a></td>";
			
	    }
        ?>
        <tr>
            <td align='right' class="rt">Всего к оплате:</td>
            <td class='rt' align='left' colspan="3"><span style="font-size: 16px;"><?=$allprice ?></span> <?=$sitevalname?></td>
        </tr>
        </tbody>
    </table>
    <center><h4 style="color: #286286; text-shadow: 0 1px 0 #F8F8F8;">Оплатить товары в корзине с помощью:</h4></center>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr><?=$paybalanse?></tr>
		<tr><?=$paybalanse_adv?></tr>
		
        
        
        <tr><td colspan="3" align="center" style="padding-top: 10px;">* - Некоторые платёжные шлюзы могут использовать<br />дополнительную комиссию при проведении платежей</td></tr>
    </table>
<?}?>